Bug 31930 - We don't need 270k memory to determine the vptrs
Summary: We don't need 270k memory to determine the vptrs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All OS X 10.5
: P2 Minor
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-27 05:42 PST by Zoltan Herczeg
Modified: 2009-12-09 15:01 PST (History)
6 users (show)

See Also:


Attachments
Allocation fix (2.35 KB, patch)
2009-11-27 05:48 PST, Zoltan Herczeg
no flags Details | Formatted Diff | Diff
Patch update (by Sam Weinig) (2.56 KB, patch)
2009-11-30 01:18 PST, Zoltan Herczeg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Herczeg 2009-11-27 05:42:03 PST
I think it is a typo.
Comment 1 Zoltan Herczeg 2009-11-27 05:48:05 PST
Created attachment 43946 [details]
Allocation fix
Comment 2 Gavin Barraclough 2009-11-27 15:26:25 PST
Comment on attachment 43946 [details]
Allocation fix

Lol, no, I don't think this should be taking 270k!  Nice catch.

r+ with one comment, since you're no longer calling fastMalloc could you also please delete the comment saying:

// Bizarrely, calling fastMalloc here is faster than allocating space on the stack.

cheers,
G.
Comment 3 Zoltan Horvath 2009-11-28 02:31:40 PST
Committed r51457: <http://trac.webkit.org/changeset/51457>
Comment 4 Zoltan Herczeg 2009-11-30 01:18:33 PST
Created attachment 44011 [details]
Patch update (by Sam Weinig)

Additional changes suggested by Sam. (He probably meant COMPILE_ASSERT since STATIC_ASSERT does not exists) Should be reviewed by him.
Comment 5 Adam Barth 2009-11-30 12:50:35 PST
style-queue ran check-webkit-style on attachment 44011 [details] without any errors.
Comment 6 Eric Seidel (no email) 2009-11-30 21:46:36 PST
Comment on attachment 44011 [details]
Patch update (by Sam Weinig)

The speedup is only in debug builds I'm sure.
Comment 7 Eric Seidel (no email) 2009-11-30 21:47:41 PST
I can't tell if this bug should be closed or not.  I reviewed an r? pach on it, but I'm not sure if it should have been closed in the first place.
Comment 8 Zoltan Herczeg 2009-11-30 23:30:58 PST
(In reply to comment #7)
> I can't tell if this bug should be closed or not.  I reviewed an r? pach on it,
> but I'm not sure if it should have been closed in the first place.

The first patch was the true patch. After it was landed, Sam asked me to change ASSERT-s to COMPILE_ASSERTs, and he was curious also about the gain of that patch. Thank you for reviewing, but I still feel he should review it, since he asked for these changes (unfortunately I can't specify the name of the reviewer anymore). (Hmm, if the changelog is not clear, perhaps I should make it more descriptive.)
Comment 9 Eric Seidel (no email) 2009-12-01 07:11:46 PST
If you want patches reviewed, you need to re-open the bug though.  Re-opening the bug.
Comment 10 Eric Seidel (no email) 2009-12-02 11:59:30 PST
Comment on attachment 43946 [details]
Allocation fix

Obsoleting this patch, it was landed as r51457.
Comment 11 Eric Seidel (no email) 2009-12-09 14:46:59 PST
@Zoltan: Ping?
Comment 12 Eric Seidel (no email) 2009-12-09 14:48:24 PST
Comment on attachment 44011 [details]
Patch update (by Sam Weinig)

Oh, never mind, This Zoltan is not the same as zoltan@webkit.org.  queueing for auto-commit.
Comment 13 WebKit Commit Bot 2009-12-09 15:01:39 PST
Comment on attachment 44011 [details]
Patch update (by Sam Weinig)

Clearing flags on attachment: 44011

Committed r51928: <http://trac.webkit.org/changeset/51928>
Comment 14 WebKit Commit Bot 2009-12-09 15:01:47 PST
All reviewed patches have been landed.  Closing bug.